import { StrictMode, Suspense } from 'react';
import { createRoot } from 'react-dom/client';
import { Loader } from "lucide-react";
import App from '@/App';
import { BrowserRouter } from 'react-router-dom';
import "@/i18n/config.jsx";

createRoot(document.getElementById('root')).render(
  <StrictMode>
     <Suspense fallback={<Loader className='loading'/>}>
      <BrowserRouter basename="/document/dist"> 
        <App />
      </BrowserRouter>
    </Suspense>
  </StrictMode>,
)
